#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityHappySummerMissionCFGData
{
	//任务ID
	int mID;
	//名字
	std::string mName;
	//完成条件类型
	int mCompleteType;
	//特殊参数,填0不生效。对任务捕获指定鱼需要填写
	int mCompleteParam;
	//完成计数
	int mCompleteCount;
	//奖励物品
	std::vector<int> mRewardItem;
	//奖励数量
	std::vector<int> mRewardQuantity;
	//前往类型
	int mGoType;
};

class M_ActivityHappySummerMissionCFG
{
public:
private:
	static std::auto_ptr<M_ActivityHappySummerMissionCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityHappySummerMissionCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivityHappySummerMissionCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityHappySummerMissionCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityHappySummerMissionCFGData> mMapData;
};
